openssl_cipher_iv_length
openssl_csr_export
OpenSSL Functions
PHP Manual

# openssl_csr_export_to_file

(PHP 4 >= 4.2.0, PHP 5)

openssl_csr_export_to_file — Exports a CSR to a file

### Description

bool openssl_csr_export_to_file ( resource `$csr` , string `$outfilename` [, bool `$notext` = true ] )

openssl_csr_export_to_file() takes the Certificate Signing Request represented by `csr` and saves it as ascii-armoured text into the file named by `outfilename`.

### Parameters

`csr`

`outfilename`

  Path to the output file.

`notext`

  The optional parameter `notext` affects the verbosity of the output; if it is `FALSE`, then additional human-readable information is included in the output. The default value of `notext` is `TRUE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- openssl_csr_export() - Exports a CSR as a string
- openssl_csr_new() - Generates a CSR
- openssl_csr_sign() - Sign a CSR with another certificate (or itself) and generate a certificate

openssl_cipher_iv_length
openssl_csr_export
OpenSSL Functions
PHP Manual